org.apache.solr.core

## Class SchemaCodecFactory

- java.lang.Object
- - org.apache.solr.core.CodecFactory
  - - org.apache.solr.core.SchemaCodecFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin, SolrCoreAware

      public class SchemaCodecFactory
      extends CodecFactory
      implements SolrCoreAware

  Per-field CodecFactory implementation, extends Lucene's and returns postings format implementations according to the schema configuration.
  Also, a string argument with name `compressionMode` can be provided to chose between the different compression options for stored fields
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPRESSION_MODE` Key to use in init arguments to set the compression mode in the codec.
    `static Lucene50StoredFieldsFormat.Mode` | `SOLR_DEFAULT_COMPRESSION_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaCodecFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Codec` | `getCodec()`
    `void` | `inform(SolrCore core)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPRESSION_MODE

          public static final String COMPRESSION_MODE

      Key to use in init arguments to set the compression mode in the codec.
      See Also:
        Constant Field Values

    - #### SOLR_DEFAULT_COMPRESSION_MODE

          public static final Lucene50StoredFieldsFormat.Mode SOLR_DEFAULT_COMPRESSION_MODE

  - ### Constructor Detail

    - #### SchemaCodecFactory

          public SchemaCodecFactory()

  - ### Method Detail

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `CodecFactory`

    - #### getCodec

          public Codec getCodec()

      Specified by:
        `getCodec` in class `CodecFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.